CRMchat APIBeta
Telegram APIChannels

channels.updatePaidMessagesPrice

POST
/workspaces/{workspaceId}/telegram-accounts/{accountId}/call/channels.updatePaidMessagesPrice

Enable or disable paid messages » in this supergroup or monoforum. Also used to enable or disable monoforums aka direct messages in a channel. Note that passing the ID of the monoforum itself to channel will return a CHANNEL_MONOFORUM_UNSUPPORTED error: pass the ID of the associated channel to edit the settings of the associated monoforum, instead.

Authorization

bearerAuth
AuthorizationBearer <token>

In: header

Path Parameters

workspaceId*string

Workspace ID

accountId*string

Telegram account ID

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

params*

Enable or disable paid messages » in this supergroup or monoforum. Also used to enable or disable monoforums aka direct messages in a channel. Note that passing the ID of the monoforum itself to channel will return a CHANNEL_MONOFORUM_UNSUPPORTED error: pass the ID of the associated channel to edit the settings of the associated monoforum, instead.

Response Body

application/json

application/json

curl -X POST "https://example.com/workspaces/string/telegram-accounts/string/call/channels.updatePaidMessagesPrice" \  -H "Content-Type: application/json" \  -d '{    "params": {      "channel": {        "_": "inputChannelEmpty"      },      "sendPaidMessagesStars": "string"    }  }'
{  "result": {    "_": "updatesTooLong"  }}